package _VisualDVM.Visual.Menus.MainMenuBar.VisualiserSettingsMenu;
import Common.Utils.Utils_;
import Common.Visual.Menus.VisualiserMenu;
import _VisualDVM.Global;
import _VisualDVM.Visual.Menus.PropertiesSubmenu;
public class VisualiserSettingsMenu extends VisualiserMenu {
    public VisualiserSettingsMenu() {
        super("Настройки визуализатора", "/Common/icons/Settings.png");
        //-
        add(new PropertiesSubmenu("Подтверждения и уведомления", null,
                Global.normalProperties,
                "ShowPassesDone",
                "ConfirmPassesStart",
                "FocusPassesResult"
        ));
        add(new CompactnessSettingsMenu());
        if (Utils_.isWindows()) {
            add(new PropertiesSubmenu("Компиляция на локальной машине", null,
                    Global.normalProperties,
                    "LocalMakePathWindows",
                    "PrecompilationFlags",
                    "Kernels"
            ));
        } else {
            add(new PropertiesSubmenu("Компиляция на локальной машине", null,
                    Global.normalProperties,
                    "PrecompilationFlags",
                    "Kernels"
            ));
        }
        add(new SynchronizationSettingsMenu());
        add(new VersionsComparisonMenu());
        add(new TestingMenu());
        add(Global.normalProperties.getMenuItem("Workspace"));
        add(Global.normalProperties.getMenuItem("BugReportsAgeLimit"));
    }
}
